If I update my iPhone 3G to 4.2.1 what will the baseband be?

Discussion in 'iPhone, iPod & iPad' started by luke_c, Jan 14, 2011.

  1. luke_c
    OP

    luke_c Big Boss

    Member
    3,587
    32
    Jun 16, 2008
    Land of England
    Need to restore to 4.2.1 tommorow so just wondering if the baseband will change (I was on 4.0.1) and what it would change to. If it's something I can't use Ultrasn0w on I can always Jailbreak with redsn0w and use the iPad bootrom and then unlock.
    Thanks.
    EDIT: I would be going back to 4.0.1 but iTunes just won't let me, I have the SHSH blobs needed, I can get past the verification from Apple but I can't restore the phone, I get the usual "This iPhone could not be restored blah blah blah (Error 21)" if anyone has any ideas on if I can get this to work it would be mucho appreciated.
     
  2. Dialexio

    Dialexio GBAtemp Advanced Maniac

    Member
    1,561
    31
    Mar 14, 2009
    United States
    iOS 4.2.1 contains baseband 5.15.04, which isn't compatible with ultrasn0w. But as you said, you can use the iPad baseband 6.15.00 trick (which will void your warranty, probably indefinitely).

    If you don't want to go down that route, you should be able to restore to a custom IPSW and preserve your baseband. (sn0wbreeze 2.1 can make a custom IPSW for 4.1, and PwnageTool can make a custom IPSW for 4.1 and 4.2.1.)
     
  3. DanTheManMS

    DanTheManMS aka Ricochet Otter

    Member
    4,330
    107
    Jun 2, 2007
    United States
    Georgia
    You *are* clicking "Start TinySS Server" in TinyUmbrella before attempting to restore to the older firmware, right?
     
  4. Dialexio

    Dialexio GBAtemp Advanced Maniac

    Member
    1,561
    31
    Mar 14, 2009
    United States
    That doesn't apply for the iPhone 3G; it's only applicable for the iPhone 4.
     
  5. Jamstruth

    Jamstruth Secondary Feline Anthropomorph

    Member
    3,456
    185
    Apr 23, 2009
    North East Scotland
    It applies to all iDevices as of 4.0 and up.
     
  6. Dialexio

    Dialexio GBAtemp Advanced Maniac

    Member
    1,561
    31
    Mar 14, 2009
    United States
    To me, it looked more like DanTheMan was suggesting using TinyUmbrella to preserve the baseband (which only works for the iPhone 4). As you said, SHSHs do indeed apply to all devices, iOS 4.0 and later.
     
  7. luke_c
    OP

    luke_c Big Boss

    Member
    3,587
    32
    Jun 16, 2008
    Land of England
    Yes, I was. I couldn't be bothered with it all in the end so I just stuck it on 4.2.1, updated the baseband to the iPad one and stuck on Ultrasn0w and SAM, worked fine and sent it off yesterday.